Developer Documentation

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
Remeshing::BaseRemesherT< Mesh > Class Template Referenceabstract
Inheritance diagram for Remeshing::BaseRemesherT< Mesh >:

## Public Types
enum | Selection { VERTEX_SELECTION, FACE_SELECTION }
typedef Mesh::Scalar | Scalar
typedef Mesh::Point | Point
typedef Mesh::EdgeHandle | EdgeHandle
typedef Mesh::HalfedgeHandle | HalfedgeHandle
typedef Mesh::VertexHandle | VertexHandle

## Public Member Functions
| BaseRemesherT (Mesh &_mesh, ProgressEmitter *_progress=NULL)
void | remesh (unsigned int _iters, unsigned int _area_iters, bool _use_projection=true, Selection _selection=VERTEX_SELECTION)

## Protected Types
typedef OpenMeshTriangleBSPT< Mesh > | BSP

## Protected Member Functions
void | prepare_vertex_selection ()
| prepare for remeshing only selected vertices (if no vertex was selected, remesh whole mesh)
void | prepare_face_selection ()
| prepare for remeshing only vertices which are fully surrounded by selected faces (if no face was selected, remesh whole mesh)
void | remeshh (unsigned int _iters, unsigned int _aiters, bool _proj)
void | cleanup ()
virtual void | init_reference ()
virtual void | delete_reference ()
virtual void | project_to_reference (VertexHandle _vh) const
void | split_long_edges ()
void | collapse_short_edges ()
void | flip_edges ()
void | tangential_smoothing (bool _use_projection)
void | balanace_area (unsigned int _iters, bool _use_projection)
void | remove_caps ()
virtual bool | is_too_long (VertexHandle _v0, VertexHandle _v1) const =0
virtual bool | is_too_short (VertexHandle _v0, VertexHandle _v1) const =0
bool | edge_flip_flips_normal (EdgeHandle _eh)
bool | collapse_flips_normal (HalfedgeHandle _heh)

## Protected Attributes
Mesh & | mesh_
Mesh * | refmesh_
BSP * | bsp_
bool | nothing_selected_
OpenMesh::VPropHandleT< int > | valences_
OpenMesh::VPropHandleT< Point > | update_
OpenMesh::VPropHandleT< Scalar > | area_
ProgressEmitter * | progress_

## Detailed Description

### template<class Mesh>
class Remeshing::BaseRemesherT< Mesh >

Definition at line 79 of file BaseRemesherT.hh.

The documentation for this class was generated from the following files:

- Plugin-Remesher/Algorithms/BaseRemesherT.hh
- Plugin-Remesher/Algorithms/BaseRemesherT_impl.hh